# Gimp.canonicalize_identifier

    function canonicalize_identifier(identifier: String): String {
        // Gjs wrapper for gimp_canonicalize_identifier()
    }

Turns any input string into a canonicalized string.

Canonical identifiers are e.g. expected by the PDB for procedure and parameter names. Every character of the input string that is not either '-', 'a-z', 'A-Z' or '0-9' will be replaced by a '-'.

Since 2.4

identifier

  The identifier string to canonicalize.

Returns

  The canonicalized identifier. This is a newly allocated string that should be freed with g_free() when no longer needed.